# Copyright 1999-2005 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-video/vdrplugin-xine/vdrplugin-xine-0.7.0-r1.ebuild,v 1.2 2005/02/10 20:00:17 zzam Exp $

inherit vdrplugin eutils


DESCRIPTION="Video Disk Recorder Xine PlugIn"
HOMEPAGE="http://home.vr-web.de/~rnissl/"
SRC_URI="http://home.vr-web.de/~rnissl/vdr-${VDRPLUGIN}-${PV}.tgz"

KEYWORDS="~x86"
SLOT="0"
LICENSE="GPL-2"

DEPEND=">=media-video/vdr-1.3.9
=media-libs/xine-lib-1.0-r3"

src_unpack() {
  vdrplugin_src_unpack

  epatch ${FILESDIR}/vdrplugin-xine-0.7.0.patch
  
  sed -i "s/^VDR_XINE_FIFO_DIR.*$/VDR_XINE_FIFO_DIR = \/var\/vdr\/xine/" ${S}/Makefile
  if test -f /usr/include/xine/input_vdr.h; then
    einfo "detected vdr-patched xine-lib."
  else
    einfo "detected unpatched xine-lib!"
    ewarn "you need to reemerge xine-lib with use-flag vdr!"
    die "you need to reemerge xine-lib with use-flag vdr!"
  fi
}

src_install() {
  vdrplugin_src_install
 
  cd ${S}
  exeinto /usr/bin
  doexe xineplayer
  
  insopts -m0644 -ovdr -gvideo
  insinto /etc/vdr/plugins/xine
  doins data/*
 
  diropts -ovdr -gvideo
  keepdir /var/vdr
  
}
